Bug 1125835 - NPE when adding an item to Globals, Inputs, Outputs, Faults for an unnamed operation
Summary: NPE when adding an item to Globals, Inputs, Outputs, Faults for an unnamed op...
Keywords:
Status: NEW
Alias: None
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard Editor
Version: 6.0.0 GA
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Rob Cernich
QA Contact: Matej Melko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 08:08 UTC by Tomas Rohovsky
Modified: 2016-01-04 07:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-2242 Major Closed NPE when adding an item to Globals, Inputs, Outputs, Faults for an unnamed operation 2014-11-03 10:41:10 UTC

Description Tomas Rohovsky 2014-08-01 08:08:04 UTC
It occurs only for BPM implementation in Property view. The operation is unnamed if you create a new BPM component. The NPE is thrown at this line https://github.com/jboss-switchyard/tools/blob/master/eclipse/plugins/org.switchyard.tools.ui.bpmn2/src/org/switchyard/tools/ui/bpmn2/component/BPMImplementationComposite.java#L232. It was introduced by fixing of SWITCHYARD-2123.

Comment 1 JBoss JIRA Server 2014-11-03 10:41:10 UTC
Andrej Podhradsky <apodhrad@redhat.com> updated the status of jira SWITCHYARD-2242 to Closed


Note You need to log in before you can comment on or make changes to this bug.